higan (formerly known as bsnes) is an emulator that began development 
on 2004-10-14. The purpose of this emulator is a bit different from 
others: it focuses on accuracy, debugging functionality, and clean 
code. The emulator does not focus on things that would hinder accuracy.
This includes speed and game-specific hacks for compatibility. As a 
result, the minimum system requirements for higan are very high.

It currently supports the following systems: Famicom (NES), Super 
Famicom (SNES), Game Boy, Game Boy Color and Game Boy Advance. 
It also supports the following subsystems: Super Game Boy, 
BS-X Satellaview and Sufami Turbo.


* Options *

1) higan has 2 interfaces to choose from. The default is QT
and the other is GTK. If you'd like to choose the GTK interface,
then pass INTERFACE=gtk to the slackbuild.

INTERFACE=qt|gtk (default: qt)

2) There are 3 modes that higan can be built. There can only be one
mode chosen at build time. The 3 modes are accuracy, balanced (default),
and performance. To choose accuracy mode pass PROFILE=accuracy to 
the slackbuild. For performance mode pass PROFILE=performance to the 
slackbuild.

PROFILE=accuracy|balanced|performance (default: balanced)

3) If you want to have an OpenAL or pulseaudio audio driver option,
you can build higan to support them by passing OPENAL=yes and
PULSEAUDIO=yes to the slackbuild, which would require their respective
packages. By default, these options are disabled.

OPENAL=yes|no (default: no), requires OpenAL
PULSEAUDIO=yes|no (default: no), requires pulseaudio


* Configuration *

The default profile folder (where platform system files, cheats and 
shaders are located) is /usr/share/higan. If you want a personalized
profile, store your files in ~/.config/higan/, then higan will use
this folder instead.


Optional dependencies: OpenAL, pulseaudio
